#include <ImageCapture/ImageCapture.h>

OSErr 
ICAObjectSendMessage(
  ICAObjectSendMessagePB *  pb,
  ICACompletion             completion){
printf ("ICAObjectSendMessage",*pb,completion);
};

OSErr 
ICAGetDeviceList(
  ICAGetDeviceListPB *  pb,
  ICACompletion         completion){
printf ("ICAGetDeviceList",*pb,completion);
} ;

OSErr 
ICAGetChildCount(
  ICAGetChildCountPB *  pb,
  ICACompletion         completion) {
printf ("ICAGetChildCount",*pb,*completion);
};

OSErr 
ICAGetObjectInfo(
  ICAGetObjectInfoPB *  pb,
  ICACompletion         completion)  {
printf ("ICAGetObjectInfo",*pb,*completion);
}  ;

OSErr 
ICACopyObjectPropertyDictionary(
  ICACopyObjectPropertyDictionaryPB *  pb,
  ICACompletion                        completion){
printf ("ICACopyObjectPropertyDictionary",*pb,*completion);
};


OSErr 
ICAGetNthChild(
  ICAGetNthChildPB *  pb,
  ICACompletion       completion)   {
printf ("ICAGetNthChild",*pb,*completion);
};



OSErr 
ICADownloadFile(
  ICADownloadFilePB *  pb,
  ICACompletion        completion){
printf ("ICADownloadFile",*pb,*completion);
}  ;

OSErr 
ICAGetPropertyData(
  ICAGetPropertyDataPB *  pb,
  ICACompletion           completion){
printf ("ICAGetPropertyData",*pb,completion);
};

OSErr 
ICAGetPropertyByType(
  ICAGetPropertyByTypePB *  pb,
  ICACompletion             completion) {
printf ("ICAGetPropertyByType",*pb,completion);
} ;

OSErr 
ICAGetPropertyCount(
  ICAGetPropertyCountPB *  pb,
  ICACompletion            completion){
printf ("ICAGetPropertyCount",*pb,completion);
} ;


 OSErr 
ICAGetNthProperty(
  ICAGetNthPropertyPB *  pb,
  ICACompletion          completion){
 printf ("ICAGetNthProperty",*pb,completion);
};


 OSErr 
ICARegisterEventNotification(
  ICARegisterEventNotificationPB *  pb,
  ICACompletion                     completion) {
 printf ("ICARegisterEventNotification",*pb,completion);
};


OSErr 
ICACopyObjectThumbnail(
  ICACopyObjectThumbnailPB *  pb,
  ICACompletion               completion){
 printf ("ICACopyObjectThumbnail",*pb,completion);
};



